Home

Get bigmap updates

GET
https://xtz-index.nownodes.io/v1/bigmaps/updates

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns a list of all bigmap updates.

Parameters

bigmapobject | nullquery

Filters by bigmap ptr

pathobject | nullquery

Filters by bigmap path

contractobject | nullquery

Filters by bigmap contract

tagsobject | nullquery

Filters by bigmap tags: metadata, token_metadata, ledger

actionobject | nullquery

Filters by action

valueobject | nullquery

Filters by JSON value. Note, this query parameter supports the following format: ?value{.path?}{.mode?}=..., so you can specify a path to a particular field to filter by, for example: ?value.balance.gt=....

levelobject | nullquery

Filters by level

timestampobject | nullquery

Filters by timestamp

sortobject | nullquery

Sorts bigmaps by specified field. Supported fields: id (default), ptr, firstLevel, lastLevel, totalKeys, activeKeys, updates.

offsetobject | nullquery

Specifies which or how many items should be skipped

limitinteger<int32>[0, 10000]100query

Maximum number of items to return

michelinestringJsonJsonStringRawRawStringJsonquery

Format of the bigmap key and value type: 0 - JSON, 2 - Micheline

Response

200OK

Successful response.

400Bad Request

Invalid request.